Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# Svc_Conf_y.cpp File Reference

`#include "ace/ARGV.h"`
`#include "ace/Svc_Conf.h"`
`#include "ace/Module.h"`
`#include "ace/Stream.h"`
`#include <stdio.h>`

Include dependency graph for Svc_Conf_y.cpp:

## Defines
#define | ACE_YYBISON 1
#define | ACE_DYNAMIC 257
#define | ACE_STATIC 258
#define | ACE_SUSPEND 259
#define | ACE_RESUME 260
#define | ACE_REMOVE 261
#define | ACE_USTREAM 262
#define | ACE_MODULE_T 263
#define | ACE_STREAM_T 264
#define | ACE_SVC_OBJ_T 265
#define | ACE_ACTIVE 266
#define | ACE_INACTIVE 267
#define | ACE_PATHNAME 268
#define | ACE_IDENT 269
#define | ACE_STRING 270
#define | ACE_YYDEBUG_LEXER_TEXT (ace_yytext[ace_yyleng] = '\0', ace_yytext)
#define | const
#define | ACE_YYFINAL 66
#define | ACE_YYFLAG -32768
#define | ACE_YYNTBASE 23
#define | ACE_YYTRANSLATE(x) ((unsigned)(x) <= 270 ? ace_yytranslate[x] : 43)
#define | ACE_YYLAST 61
#define | ACE_YYPURE 1
#define | ACE_YYSTACK_ALLOC malloc
#define | ace_yyerrok (ace_yyerrstatus = 0)
#define | ace_yyclearin (ace_yychar = ACE_YYEMPTY)
#define | ACE_YYEMPTY -2
#define | ACE_YYEOF 0
#define | ACE_YYACCEPT goto ace_yyacceptlab
#define | ACE_YYABORT goto ace_yyabortlab
#define | ACE_YYERROR goto ace_yyerrlab1
#define | ACE_YYFAIL goto ace_yyerrlab
#define | ACE_YYRECOVERING() (!!ace_yyerrstatus)
#define | ACE_YYBACKUP(token, value)
#define | ACE_YYTERROR 1
#define | ACE_YYERRCODE 256
#define | ACE_YYLEX ace_yylex(&ace_yylval, ACE_YYLEX_PARAM)
#define | ACE_YYINITDEPTH 200
#define | ACE_YYMAXDEPTH 10000
#define | ACE_YYPARSE_PARAM_ARG ACE_YYPARSE_PARAM
#define | ACE_YYPARSE_PARAM_DECL void *ACE_YYPARSE_PARAM;
#define | ACE_YYPOPSTACK (ace_yyvsp--, ace_yyssp--)
## Functions
const char * | get_rcsid_ace_Svc_Conf_y (const char *)
ACE_Module_Type * | ace_get_module (ACE_Static_Node *str_rec, ACE_Static_Node *svc_type)
ACE_Module_Type * | ace_get_module (ACE_Static_Node *str_rec, const ACE_TCHAR *svc_name)
void | __ace_yy_memcpy (to, from, count) ACE_TCHAR *to
## Variables
const char * | rcsid_ace_Svc_Conf_y = get_rcsid_ace_Svc_Conf_y ( rcsid_ace_Svc_Conf_y )
int | ace_yyerrno = 0
| Keeps track of the number of errors encountered so far. More...
const ACE_TCHAR | ace_yytranslate []
const short | ace_yyr1 []
const short | ace_yyr2 []
const short | ace_yydefact []
const short | ace_yydefgoto []
const short | ace_yypact []
const short | ace_yypgoto []
const short | ace_yytable []
const short | ace_yycheck []
ACE_TCHAR * | from
unsigned int | count

## Define Documentation

#define ACE_ACTIVE 266

#define ACE_DYNAMIC 257

#define ACE_IDENT 269

#define ACE_INACTIVE 267

#define ACE_MODULE_T 263

#define ACE_PATHNAME 268

#define ACE_REMOVE 261

#define ACE_RESUME 260

#define ACE_STATIC 258

#define ACE_STREAM_T 264

#define ACE_STRING 270

#define ACE_SUSPEND 259

#define ACE_SVC_OBJ_T 265

#define ACE_USTREAM 262

#define ACE_YYABORT goto ace_yyabortlab

#define ACE_YYACCEPT goto ace_yyacceptlab

#define ACE_YYBACKUP | ( | token,
|  | value |  | ) |

| Value:
    do                                                              \
      if (ace_yychar == ACE_YYEMPTY && ace_yylen == 1)                              \
        { ace_yychar = (token), ace_yylval = (value);                       \
          ace_yychar1 = ACE_YYTRANSLATE (ace_yychar);                               \
          ACE_YYPOPSTACK;                                           \
          goto ace_yybackup;                                                \
        }                                                           \
      else                                                          \
        { ace_yyerror (ACE_LIB_TEXT("syntax error: cannot back up")); ACE_YYERROR; }        \
    while (0)

#define ACE_YYBISON 1

#define ace_yyclearin (ace_yychar = ACE_YYEMPTY)

#define ACE_YYDEBUG_LEXER_TEXT (ace_yytext[ace_yyleng] = '\0', ace_yytext)

#define ACE_YYEMPTY -2

#define ACE_YYEOF 0

#define ACE_YYERRCODE 256

#define ace_yyerrok (ace_yyerrstatus = 0)

#define ACE_YYERROR goto ace_yyerrlab1

#define ACE_YYFAIL goto ace_yyerrlab

#define ACE_YYFINAL 66

#define ACE_YYFLAG -32768

#define ACE_YYINITDEPTH 200

#define ACE_YYLAST 61

#define ACE_YYLEX ace_yylex(&ace_yylval, ACE_YYLEX_PARAM)

#define ACE_YYMAXDEPTH 10000

#define ACE_YYNTBASE 23

#define ACE_YYPARSE_PARAM_ARG ACE_YYPARSE_PARAM

#define ACE_YYPARSE_PARAM_DECL void *ACE_YYPARSE_PARAM;

#define ACE_YYPOPSTACK (ace_yyvsp--, ace_yyssp--)

#define ACE_YYPURE 1

#define ACE_YYRECOVERING | (
|  | ) | (!!ace_yyerrstatus)

#define ACE_YYSTACK_ALLOC malloc

#define ACE_YYTERROR 1

#define ACE_YYTRANSLATE | ( | x |  | ) | ((unsigned)(x) <= 270 ? ace_yytranslate[x] : 43)

#define const

## Function Documentation

void __ace_yy_memcpy | ( | to | ,
|  | from | ,
|  | count |
| ) | `[static]`

ACE_Module_Type* ace_get_module | ( | ACE_Static_Node * | str_rec,
|  | const ACE_TCHAR * | svc_name
| ) | `[static]`

ACE_Module_Type* ace_get_module | ( | ACE_Static_Node * | str_rec,
|  | ACE_Static_Node * | svc_type
| ) | `[static]`

const char* get_rcsid_ace_Svc_Conf_y | ( | const char * |  | ) | `[inline]`

## Variable Documentation

const short ace_yycheck[]`[static]`

| Initial value:
     {     8,
         8,     3,     4,     5,     6,     7,     3,     4,    14,    15,
        16,    12,    13,    19,    17,    15,    18,    15,    15,     0,
         1,    15,     3,     4,     5,     6,     7,     8,    15,     9,
        10,    11,    15,    22,    16,    19,    22,    22,    15,    15,
         0,    20,    20,    52,    52,    52,    21,    21,    52,    18,
        -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,
        33
    }

const short ace_yydefact[]`[static]`

| Initial value:
     {     3,
         0,     2,     0,     0,     0,     0,     0,     0,     1,     4,
         5,     6,     7,     8,     9,     0,    41,    41,    12,    13,
        14,    16,    18,    19,    22,     0,     0,     0,     0,    40,
        10,    11,    22,    20,    15,    37,    39,    38,    42,    43,
        44,     0,    33,     0,    17,    24,     0,    31,    32,    30,
         0,     0,     0,    34,    21,    25,    26,    27,    28,    29,
        23,    36,     0,    35,     0,     0
    }

const short ace_yydefgoto[]`[static]`

| Initial value:
     {     1,
         9,    10,    11,    12,    13,    14,    15,    33,    25,    35,
        46,    52,    61,    17,    50,    43,    29,    31,    44
    }

int ace_yyerrno = 0

| Keeps track of the number of errors encountered so far.

const short ace_yypact[]`[static]`

| Initial value:
     {-32768,
        20,-32768,     1,     3,     7,    14,    18,     4,-32768,-32768,
    -32768,-32768,-32768,-32768,-32768,    21,    19,    19,-32768,-32768,
    -32768,-32768,-32768,-32768,    -2,    12,    15,    16,    -5,-32768,
    -32768,-32768,    -2,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
    -32768,    24,     0,    17,-32768,-32768,    22,-32768,-32768,-32768,
        25,    -1,    26,    23,-32768,-32768,-32768,-32768,-32768,-32768,
    -32768,-32768,    27,-32768,    41,-32768
    }

const short ace_yypgoto[]`[static]`

| Initial value:
     {-32768,
    -32768,    -8,    -7,    -6,    -3,     2,-32768,-32768,-32768,    28,
    -32768,-32768,-32768,-32768,-32768,-32768,-32768,    32,-32768
    }

const short ace_yyr1[]`[static]`

| Initial value:
     {     0,
        23,    23,    23,    24,    24,    24,    24,    24,    24,    25,
        26,    27,    28,    29,    30,    31,    30,    32,    32,    34,
        33,    33,    35,    35,    36,    36,    36,    36,    36,    37,
        38,    38,    38,    39,    39,    39,    40,    40,    40,    41,
        41,    42,    42,    42
    }

const short ace_yyr2[]`[static]`

| Initial value:
     {     0,
         2,     2,     0,     1,     1,     1,     1,     1,     1,     3,
         3,     2,     2,     2,     3,     0,     4,     1,     1,     0,
         4,     0,     2,     0,     1,     1,     1,     1,     1,     4,
         1,     1,     0,     3,     5,     4,     2,     2,     2,     1,
         0,     1,     1,     1
    }

const short ace_yytable[]`[static]`

| Initial value:
     {    23,
        24,     3,     4,     5,     6,     7,     3,     4,    39,    40,
        41,    48,    49,    42,    34,    16,    55,    18,    22,    65,
         2,    19,     3,     4,     5,     6,     7,     8,    20,    26,
        27,    28,    21,    36,    30,    51,    37,    38,    47,    54,
        66,    53,    63,    56,    57,    58,    62,    64,    59,    32,
         0,     0,     0,    60,     0,     0,     0,     0,     0,     0,
        45
    }

const ACE_TCHAR ace_yytranslate[]`[static]`

| Initial value:
     {     0,
         2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
         2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
         2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
         2,     2,     2,     2,     2,     2,     2,     2,     2,    20,
        21,    22,     2,     2,     2,     2,     2,     2,     2,     2,
         2,     2,     2,     2,     2,     2,     2,    19,     2,     2,
         2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
         2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
         2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
         2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
         2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
         2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
         2,     2,    17,     2,    18,     2,     2,     2,     2,     2,
         2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
         2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
         2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
         2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
         2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
         2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
         2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
         2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
         2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
         2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
         2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
         2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
         2,     2,     2,     2,     2,     1,     3,     4,     5,     6,
         7,     8,     9,    10,    11,    12,    13,    14,    15,    16
    }

unsigned int count

ACE_TCHAR* from

const char* rcsid_ace_Svc_Conf_y = get_rcsid_ace_Svc_Conf_y ( rcsid_ace_Svc_Conf_y )`[static]`